
def random_color_widget(parent=None):
    from PyQt5.QtWidgets import QWidget, QColorDialog
    from PyQt5.QtGui import QColor

    class ColorWidget(QWidget):
        def __init__(self, parent=None):
            super(ColorWidget, self).__init__(parent)
            self.initUI()

        def initUI(self):
            self.color_dialog = QColorDialog(self)
            self.color_dialog.setOptions(QColorDialog.ShowAlphaChannel)
            self.color_dialog.setCurrentColor(QColor(255, 0, 0))
            self.color_dialog.open()

    return ColorWidget



